package com.qmth.jkserver.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import com.qmth.jkserver.model.ExamAbort;
import com.qmth.jkserver.model.ExamCheat;

/**
 * Created by gx on 2017/11/24.
 */
public class ExamStudenDetailDto implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    private String batchName;
    
    private String batchId;

    private String stageId;

    private String ticketNo;
    
    private String placeCode;
    
    private String roomCode;

    private String name;

    private String courseName;

    private String courseCode;

    private String remark;

    private Long time;
    
    private String newBatchName;
    
    private String newBatchId;

    private String newStageId;
    
    private ExamCheat examCheat;
    
    private List<ExamAbort> aborts = new ArrayList<ExamAbort>();
    
    private String placeName;
    
    private String roomName;

    /**
	 * @return the placeName
	 */
	public String getPlaceName() {
		return placeName;
	}

	/**
	 * @param placeName the placeName to set
	 */
	public void setPlaceName(String placeName) {
		this.placeName = placeName;
	}

	/**
	 * @return the roomName
	 */
	public String getRoomName() {
		return roomName;
	}

	/**
	 * @param roomName the roomName to set
	 */
	public void setRoomName(String roomName) {
		this.roomName = roomName;
	}

	public String getPlaceCode() {
		return placeCode;
	}

	public void setPlaceCode(String placeCode) {
		this.placeCode = placeCode;
	}

	public String getRoomCode() {
		return roomCode;
	}

	public void setRoomCode(String roomCode) {
		this.roomCode = roomCode;
	}

	public List<ExamAbort> getAborts() {
		return aborts;
	}

	public void setAborts(List<ExamAbort> aborts) {
		this.aborts = aborts;
	}

	public ExamCheat getExamCheat() {
		return examCheat;
	}

	public void setExamCheat(ExamCheat examCheat) {
		this.examCheat = examCheat;
	}

	public String getNewBatchName() {
		return newBatchName;
	}

	public void setNewBatchName(String newBatchName) {
		this.newBatchName = newBatchName;
	}

	public String getNewBatchId() {
		return newBatchId;
	}

	public void setNewBatchId(String newBatchId) {
		this.newBatchId = newBatchId;
	}

	public String getNewStageId() {
		return newStageId;
	}

	public void setNewStageId(String newStageId) {
		this.newStageId = newStageId;
	}

	/**
	 * @return the batchId
	 */
	public String getBatchId() {
		return batchId;
	}

	/**
	 * @param batchId the batchId to set
	 */
	public void setBatchId(String batchId) {
		this.batchId = batchId;
	}

	public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getBatchName() {
        return batchName;
    }

    public void setBatchName(String batchName) {
        this.batchName = batchName;
    }

    public String getStageId() {
        return stageId;
    }

    public void setStageId(String stageId) {
        this.stageId = stageId;
    }

    public String getTicketNo() {
        return ticketNo;
    }

    public void setTicketNo(String ticketNo) {
        this.ticketNo = ticketNo;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getTime() {
        return time;
    }

    public void setTime(Long time) {
        this.time = time;
    }
}
